Bug 730715 - Importing repository with shared asset throws error.
Summary: Importing repository with shared asset throws error.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Mark Proctor
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 13:44 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a jackrabbit repository with an asset shared between a package and the global area was imported an exception was thrown preventing the operation from completing.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
sample repository with a shared asset (model) (370.58 KB, application/xml)
2011-08-23 10:30 UTC, Zuzana Krejčová
no flags Details

Description Zuzana Krejčová 2011-08-15 13:44:48 UTC
Description of problem:
When importing a repository the server throws an error ("Unable to import into the repository. Consult the server logs for error messages.") if the repository contains an asset in both the Global Area and some package. Server needs to be restarted after that.


Steps to Reproduce:
(Using the sample repository)
1. Open some asset - e.g. Bankruptcy history.
2. Promote the asset to Global Area.
3. Import the asset back to the package.
4. In section Administration, export the whole repository.
5. Try importing that same repository back (the xml file), confirm.
  
Actual results:
An error message shows: "Unable to import into the repository. Consult the server logs for error messages."
Server log contains:
ERROR [RepositoryServiceServlet] Service method 'public abstract java.util.List org.drools.guvnor.client.rpc.RepositoryService.subscribe()' threw an unexpected exception: org.jboss.seam.InstantiationException: Could not instantiate Seam component: org.drools.guvnor.client.rpc.RepositoryService


Expected results:
Repository should have been imported.


Additional info:
Everything okay when the asset is just in Global Area and not shared/imported.

Comment 1 Lukáš Petrovický 2011-08-19 12:01:22 UTC
Zuzka, would you please attach an example of such a repository?

Comment 2 Zuzana Krejčová 2011-08-23 10:30:50 UTC
Created attachment 519428 [details]
sample repository with a shared asset (model)

Comment 3 Jervis Liu 2011-09-08 10:51:59 UTC
This is a known issue: https://issues.jboss.org/browse/GUVNOR-475

Comment 4 Jervis Liu 2011-09-08 10:58:31 UTC
This is a JackRabbit bug. The bug (https://issues.apache.org/jira/browse/JCR-2400) was reported to JR a long time ago, though we havent got the fix yet. 

Using ModeShape should work.

Comment 5 Jervis Liu 2011-09-10 14:33:18 UTC
Fixed

Comment 6 lcarlon 2011-09-16 01:29:33 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When a jackrabbit repository with a shared asset was imported an exception was thrown. This issue has been resolved and the behavior no longer occurs.

Comment 7 lcarlon 2011-09-22 03:43:32 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-When a jackrabbit repository with a shared asset was imported an exception was thrown. This issue has been resolved and the behavior no longer occurs.+When a jackrabbit repository with an asset shared between a package and the global area was imported an exception was thrown preventing the operation from completing.


Note You need to log in before you can comment on or make changes to this bug.